package com.hzu.labbooking.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.MpBaseEntity;

/**
 * 实验室信息对象 lms_lab
 *
 * @author yezihao
 * @date 2021-04-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("lms_lab")
public class Lab extends MpBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 实验室编号
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 所属学院编号
     */
    private Long deptId;

    /**
     * 实验室名称[5-101/大创实验室]
     */
    @Excel(name = "实验室名称")
    private String name;

    /**
     * 实验室位置[5-101]
     */
    @Excel(name = "实验室位置")
    private String location;

    /**
     * 容纳人数
     */
    @Excel(name = "容纳人数")
    private Long capacity;

    /**
     * 实验条件[软件或硬件,多个用逗号隔开]
     */
    @Excel(name = "实验条件")
    private String requirement;

    /**
     * 实验室管理员编号
     */
    @Excel(name = "实验室管理员编号")
    private Long userId;

    /**
     * 是否开启实验室预约功能[0-关闭, 1-开启]
     */
    @Excel(name = "是否开启实验室预约功能")
    private Long status;

    /**
     * 实验室备注
     */
    @Excel(name = "实验室备注")
    private String remarks;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT) //插入操作时自动更新该字段
    private Date gmtCreate;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT_UPDATE) //插入和更新操作时自动更新该字段
    private Date gmtModified;

}
