package com.hzu.labbooking.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.MpBaseEntity;

/**
 * 实验室预约周次对象 lms_lab_week
 *
 * @author yezihao
 * @date 2021-06-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("lms_lab_week")
public class LabWeek extends MpBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 实验室预约周次编号
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 周次[1-18]
     */
    @Excel(name = "周次")
    private Long week;

    /**
     * 可预约时间段是否开启[0-关闭, 1-开启]
     */
    @Excel(name = "可预约时间段是否开启")
    private Long status;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT) //插入操作时自动更新该字段
    private Date gmtCreate;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT_UPDATE) //插入和更新操作时自动更新该字段
    private Date gmtModified;

}
