package com.hzu.labbooking.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * @author: skyed
 * @since: 2021/5/5
 */

/**
 * 课表中一个格子可能有多个课程，这个类是课程元数据
 */
@Data
public class LabTableDataVO {

    private Long labId;

    private Long courseId;

    /**
     * 周次[1-18]
     */
    private String week;

    /**
     * 周次列表
     */
    private List<Long> weekList;

    /**
     * 星期[1-7]
     */
    private Long day;

    /**
     * 节次[1-5(1-2,3-4,...)]
     */
    private Long time;

    /**
     * 用户昵称
     */
    private String teacherName;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 班级名称[多个用逗号隔开]
     */
    private String className;

    /**
     * 实验室位置[5-101]
     */
    private String location;

}
