package com.hzu.labbooking.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * @author: skyed
 * @date: 2021-4-29
 */
@Data
public class LabTableVO {

    /**
     * 实验室id
     */
    private Long id;

    /**
     * 实验室id，规避命名冲突
     */
    private Long labId;

    /**
     * 实验室管理员邮箱
     */
    private String email;

    /**
     * 课程id
     */
    private Long courseId;

    /**
     * 预约的周次列表
     */
    private List<Long> checkedValue;

    /**
     * 年份
     */
    private Long year;

    /**
     * 学期
     */
    private Long term;

    private List<LabTableDataVO> dataList;

    /**
     * 周次[1-18]
     */
    private String week;

    /**
     * 周次列表
     */
    private List<Long> weekList;

    /**
     * 星期[1-7]
     */
    private Long day;

    /**
     * 节次[1-5(1-2,3-4,...)]
     */
    private Long time;

    /**
     * 用户昵称
     */
    private String teacherName;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 班级名称[多个用逗号隔开]
     */
    private String className;

    /**
     * 实验室位置[5-101]
     */
    private String location;

}