package com.hzu.labbooking.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.MpBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 个人课程信息VO
 *
 * @author yezihao
 * @date 2021-04-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MyCourseVO extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 课程编号 */
    @Excel(name = "课程编号")
    private Long id;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String name;

    /** 授课教师编号 */
    private Long userId;

    /** 教师编号 */
    @Excel(name = "教师编号")
    private String userName;

    /** 教师名称 */
    @Excel(name = "教师名称")
    private String nickName;

    /** 电子邮箱 */
    @Excel(name = "电子邮箱")
    private String email;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 用户所在办公室 */
    @Excel(name = "办公室")
    private String office;

    /** 课程条件 */
    @Excel(name = "课程条件")
    private String requirement;

    /** 班级名称[多个用逗号隔开] */
    @Excel(name = "班级名称")
    private String className;

    /** 课程人数 */
    @Excel(name = "课程人数")
    private Long number;

    /** 课程备注 */
    @Excel(name = "课程备注")
    private String remarks;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;

}