package com.hzu.labbooking.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzu.labbooking.domain.RecordWeek;

/**
 * 预约信息周次映射Service接口
 *
 * @author yezihao
 * @date 2021-06-13
 */
public interface IRecordWeekService extends IService<RecordWeek> {

    /**
     * 通过recordID查询对应weekID
     *
     * @param recordId 预约记录ID列表
     * @return 结果
     */
    List<Long> selectWeekList(Long recordId);

    /**
     * 通过recordID查询所有对应weekID
     *
     * @param recordIdList 预约记录ID列表
     * @return 结果
     */
    List<Long> selectAllWeekList(List<Long> recordIdList);

}
